#!/usr/bin/python

# Klas Jareteg, 2012-10-14
# Description:
#   Analyzing comparison case for coupled and segregated solvers

import sys, os, stat
import re
import math
import numpy as np
import matplotlib.pyplot as plt
from AnalyzeFunctions import *

solvers = ['simpleFoam','pUCoupledFoam3D']
pUsolver = 'GMRES'
cases = ['pitzDaily']
pSolver = 'DICPCG'
USolver = 'DILUPBiCG'

pathCou3D = os.path.join(solvers[1],cases[0],'log.%s'%solvers[1])
cou3D = coupledResiduals(pathCou3D,3,pUsolver)
pathSeg = os.path.join(solvers[0],cases[0],'log.%s'%solvers[0])
seg = segregatedResiduals(pathSeg,2,pSolver,USolver)

DATA = [seg,cou3D]

tit='(- simpleFoam, -- pUCoupledFoam)'

# Comparative case with iteration/elapsed time on x-axis
y1 = {}
y1['fields']=['p','Ux','k']
y1['colors']=['b','r','g']    
y1['label']='Residuals'
y1['log']=True
y2 = None
#y2['fields']=['e']
#y2['colors']=['green']    
#y2['label']='Elapsed Time [s]'
#y2['log']=False
xiter = {}
xiter['fields']=['t']
xiter['label']='Iteration'
xtime = {}
xtime['fields']=['e']
xtime['label']=['Elapsed time [s]']
dualAxisPlotComparison(y1,y2,xiter,DATA,title=tit,name='pitzDaily_per_iteration')
dualAxisPlotComparison(y1,y2,xtime,DATA,title=tit,name='pitzDaily_per_time')
